package com.unis.detectionnum.server.dao;

import org.springframework.stereotype.Repository;

import com.unis.detectionnum.server.entity.AlarmParamDO;

@Repository
public interface AlarmParamDao {
	
    int deleteByPrimaryKey(Integer id);

    int insert(AlarmParamDO record);

    int insertSelective(AlarmParamDO record);

	AlarmParamDO selecttotalStatus(String Cfbh);

    AlarmParamDO selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(AlarmParamDO record);

    int updateByPrimaryKey(AlarmParamDO record);

	/** 
	 * @Title: selectByCfbh 
	 * @Description: TODO
	 * @param @param cfbh
	 * @param @return
	 * @return AlarmParamDO
	 * @throws 
	 */
	AlarmParamDO selectByCfbh(String cfbh);

	/** 
	 * @Title: selectBySbCode 
	 * @Description: 根据设备code获取所在仓房的告警参数
	 * @param sbCode
	 * @return AlarmParamDO
	 * @throws 
	 */
	AlarmParamDO selectBySbCode(String sbCode);

}